Skip to main content
`Ctrl`+`K`

# PetscViewerGetOptionsPrefix

Gets the prefix used for searching for `PetscViewer` options in the database during `PetscViewerSetFromOptions()`.

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerGetOptionsPrefix(PetscViewer viewer, const char *prefix[])

Not Collective

## Input Parameter

- viewer - the `PetscViewer` context

## Output Parameter

- prefix - pointer to the prefix string used

## Fortran Notes

The user should pass in a string ‘prefix’ of sufficient length to hold the prefix.

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerAppendOptionsPrefix()`, `PetscViewerSetOptionsPrefix()`

## Level

advanced

## Location

src/sys/classes/viewer/interface/view.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages